Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## tle.framework.http
Class RIRequestWrapper

    java.lang.Object
      HttpServletRequestWrapper
          tle.framework.http.RIRequestWrapper

public class RIRequestWrapper
extends HttpServletRequestWrapper

RequestAnalyzer가 분석한 요청 정보를 담고 있는 RequestInfo로부터 파라미터 값을 읽어오는 HttpServletRequestWrapper.

Since:
  2.0.5.3
Author:
  최범균
See Also:
  Serialized Form

Constructor Summary
`RIRequestWrapper(HttpServletRequest request, RequestInfo ri)` RIRequestWrapper를 생성한다.

Method Summary
`java.lang.String` | `getParameter(java.lang.String name)` 파라미터 값을 RequestInfo로부터 가져온다.
`java.util.Map` | `getParameterMap()` 파라미터 맵을 리턴한다.
`java.util.Enumeration` | `getParameterNames()` RequestInfo로부터 파라미터 이름 목록을 구한다.
`java.lang.String[]` | `getParameterValues(java.lang.String name)` RequestInfo로부터 파라미터 값 배열을 구한다.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RIRequestWrapper

    public RIRequestWrapper(HttpServletRequest request,
                            RequestInfo ri)

  RIRequestWrapper를 생성한다.

Parameters:
  `request` -
  `ri` - 요청 분석 정보. 파라미터 값을 읽어올 때 사용된다.

Method Detail

### getParameter

    public java.lang.String getParameter(java.lang.String name)

  파라미터 값을 RequestInfo로부터 가져온다.

  See Also:
    `javax.servlet.ServletRequest#getParameter(java.lang.String)`

### getParameterMap

    public java.util.Map getParameterMap()

  파라미터 맵을 리턴한다.

  See Also:
    `javax.servlet.ServletRequest#getParameterMap()`

### getParameterNames

    public java.util.Enumeration getParameterNames()

  RequestInfo로부터 파라미터 이름 목록을 구한다.

  See Also:
    `javax.servlet.ServletRequest#getParameterNames()`

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

  RequestInfo로부터 파라미터 값 배열을 구한다.

  See Also:
    `javax.servlet.ServletRequest#getParameterValues(java.lang.String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD